org.apache.ignite.internal.processors.cache

## Class CacheGroupMetricsImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheGroupMetricsImpl

    public class CacheGroupMetricsImpl
    extends Object

Cache group metrics.

### Field Summary

Fields
`static String` `CACHE_GROUP_METRICS_PREFIX` Cache group metrics prefix.

### Constructor Summary

Constructors
Constructor and Description
`CacheGroupMetricsImpl(CacheGroupContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addIndexBuildCountPartitionsLeft(long idxBuildCntPartitionsLeft)` Add number of partitions need processed for finished indexes create or rebuilding.
`void` `decrementIndexBuildCountPartitionsLeft()` Decrement number of partitions need processed for finished indexes create or rebuilding.
`Map<Integer,List<String>>` `getAffinityPartitionsAssignmentMap()`
`int` `getBackups()`
`List<String>` `getCaches()`
`int` `getClusterMovingPartitionsCount()`
`int` `getClusterOwningPartitionsCount()`
`int` `getGroupId()`
`String` `getGroupName()`
`long` `getIndexBuildCountPartitionsLeft()`
`int` `getLocalNodeMovingPartitionsCount()`
`int` `getLocalNodeOwningPartitionsCount()`
`long` `getLocalNodeRentingEntriesCount()`
`int` `getLocalNodeRentingPartitionsCount()`
`int` `getMaximumNumberOfPartitionCopies()`
`int` `getMinimumNumberOfPartitionCopies()`
`Map<Integer,Set<String>>` `getMovingPartitionsAllocationMap()`
`Map<Integer,Set<String>>` `getOwningPartitionsAllocationMap()`
`List<Integer>` `getPartitionIds()`
`int` `getPartitions()`
`long` `getSparseStorageSize()`
`long` `getStorageSize()`
`long` `getTotalAllocatedPages()`
`long` `getTotalAllocatedSize()`
`String` `getType()`
`void` `onTopologyInitialized()` Callback for initializing metrics after topology was initialized.
`void` `remove()` Removes all metric for cache group.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CACHE_GROUP_METRICS_PREFIX

    public static final String CACHE_GROUP_METRICS_PREFIX

Cache group metrics prefix.

See Also:
  Constant Field Values

### Constructor Detail

#### CacheGroupMetricsImpl

    public CacheGroupMetricsImpl(CacheGroupContext ctx)

### Method Detail

#### onTopologyInitialized

    public void onTopologyInitialized()

Callback for initializing metrics after topology was initialized.

#### getIndexBuildCountPartitionsLeft

    public long getIndexBuildCountPartitionsLeft()

#### addIndexBuildCountPartitionsLeft

    public void addIndexBuildCountPartitionsLeft(long idxBuildCntPartitionsLeft)

Add number of partitions need processed for finished indexes create or rebuilding.

#### decrementIndexBuildCountPartitionsLeft

    public void decrementIndexBuildCountPartitionsLeft()

Decrement number of partitions need processed for finished indexes create or rebuilding.

#### getGroupId

    public int getGroupId()

#### getGroupName

    public String getGroupName()

#### getCaches

    public List<String> getCaches()

#### getBackups

    public int getBackups()

#### getPartitions

    public int getPartitions()

#### getMinimumNumberOfPartitionCopies

    public int getMinimumNumberOfPartitionCopies()

#### getMaximumNumberOfPartitionCopies

    public int getMaximumNumberOfPartitionCopies()

#### getLocalNodeOwningPartitionsCount

    public int getLocalNodeOwningPartitionsCount()

#### getLocalNodeMovingPartitionsCount

    public int getLocalNodeMovingPartitionsCount()

#### getLocalNodeRentingPartitionsCount

    public int getLocalNodeRentingPartitionsCount()

#### getLocalNodeRentingEntriesCount

    public long getLocalNodeRentingEntriesCount()

#### getClusterOwningPartitionsCount

    public int getClusterOwningPartitionsCount()

#### getClusterMovingPartitionsCount

    public int getClusterMovingPartitionsCount()

#### getOwningPartitionsAllocationMap

    public Map<Integer,Set<String>> getOwningPartitionsAllocationMap()

#### getMovingPartitionsAllocationMap

    public Map<Integer,Set<String>> getMovingPartitionsAllocationMap()

#### getAffinityPartitionsAssignmentMap

    public Map<Integer,List<String>> getAffinityPartitionsAssignmentMap()

#### getType

    public String getType()

#### getPartitionIds

    public List<Integer> getPartitionIds()

#### getTotalAllocatedPages

    public long getTotalAllocatedPages()

#### getTotalAllocatedSize

    public long getTotalAllocatedSize()

#### getStorageSize

    public long getStorageSize()

#### getSparseStorageSize

    public long getSparseStorageSize()

#### remove

    public void remove()

Removes all metric for cache group.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020